#
# spec file for package libgnomecups (Version 0.2.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    a2ps aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cups cups-client cups-devel cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex foomatic-filters gawk gcc gdbm gdbm-devel gettext gettext-devel ghostscript-mini glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnscd libpng libstdc++ libtiff libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openssl-devel pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim zlib zlib-devel

Name:           libgnomecups
#!BuildIgnore: libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel
BuildRequires:  cups cups-devel glib2-devel openssl-devel perl-XML-Parser pkgconfig update-desktop-files
Version:        0.2.2
Release:        21.2
URL:            http://www.gnome.org/
Group:          System/GUI/GNOME
License:        LGPL
Summary:        GNOME CUPS Library
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.bz2
Patch0:         only-once.patch
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.



Authors:
--------
    Dave Camp <dave@ximian.com>
    Michael Meeks <michael@ximian.com>
    Chris Lahey <clahey@ximian.com>

%debug_package
%package devel
Group:          System/GUI/GNOME
Summary:        GNOME CUPS Library
Requires:       %{name} = %{version}
Requires:       glib2-devel openssl-devel cups-devel

%description devel
A gobject (GLib) wrapper for IPP printer management, which is used by
CUPS.  Mainly used by the GNOME printing system.



Authors:
--------
    Dave Camp <dave@ximian.com>
    Michael Meeks <michael@ximian.com>
    Chris Lahey <clahey@ximian.com>

%prep
%setup
%patch0

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && mv configure.tmp configure && chmod a+x configure
export CFLAGS="$RPM_OPT_FLAGS"
./configure\
	--prefix=/opt/gnome\
	--libdir=/opt/gnome/%{_lib}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
/opt/gnome/%{_lib}/*.so.*

%files devel
%defattr (-, root, root)
/opt/gnome/%{_lib}/*.*a
/opt/gnome/%{_lib}/*.so
/opt/gnome/%{_lib}/pkgconfig/*.pc
/opt/gnome/include/*

%changelog -n libgnomecups
* Mon Feb 27 2006 - fejj@suse.de
- Fixed a type-o I had made in the spec file previously.
* Thu Feb 23 2006 - fejj@suse.de
- Added only-once.patch to the build which is a partial fix for bug #146845 (the other half of the fix is in gnome-cups-manager package).
* Mon Jan 30 2006 - aj@suse.de
- Fix requires for devel subpackage.
- Remove unneded BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Oct 07 2005 - gekker@suse.de
- Update to version 0.2.2
- Fix crashes in print dialogs (#118797)
* Mon Sep 12 2005 - ro@suse.de
- fix requires of devel subpackage
* Tue Sep 06 2005 - gekker@suse.de
- Update to version 0.2.1 (GNOME 2.12)
* Tue Mar 08 2005 - jody@suse.de
- upstream release of 0.2.0 for gnome 2.10
- patch crash when renaming
- merge redhat optimization patch to do async ppd lookup
* Tue Dec 14 2004 - jody@suse.de
- upstream release of 0.1.14 patches some renaming issues
* Mon Oct 25 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Oct 04 2004 - jody@suse.de
- Sync with upstream 0.1.12 release
- Updated translations
- more lenient with spaces in urls
* Mon Sep 27 2004 - ro@suse.de
- remove libgnomeprint* from neededforbuild, kill builddep cycle
* Mon Sep 13 2004 - jody@suse.de
- Sync with upstream 0.1.12 release
- Add a SuSE specific patch to disable the direct use of hostnames
  which in some circumstances can trigger an infinite loop in cups
- Add more thread safety
* Tue Aug 24 2004 - jody@suse.de
- Sync with upstream 0.1.11 release
- More api additions and convenience routines
- No QA visibile changes
* Wed Aug 18 2004 - jody@suse.de
- Sync with upstream 0.1.10 release
- Some async extensions and api changes
- No QA visibile changes
* Fri Jul 16 2004 - jody@suse.de
- Test release of 0.1.9 with the browsing and simplfication
* Thu May 13 2004 - sbrabec@suse.cz
- New SuSE package, version 0.1.6.
